select report.SID_CORPORATE
	, report.ID
	, report.subject
	, report.detail
	, report.important
	, report.entrydate
	, report.entrytime
	, report.entry
	, report.status
	, report.routecount
	, report.readcount
	, report.sendnum
	, report.period
	, report.memo
	, report.memo as memotext
	, report.agenda
	, '1'::char as perm_comment
	, '1'::char as add_ntwi
    , (CASE WHEN dust.ID is not null THEN '1'
            ELSE '0' END) AS dust_in_flg
    , (SELECT COUNT(*) FROM TT_ATTACH_CRT att WHERE report.ID=att.ID AND att.SID_CORPORATE=1 ) AS countattcr
    , (SELECT COUNT(*) FROM TT_ATTACH_CRT_PARTS attpr WHERE report.ID=attpr.SID_CREPORT AND attpr.SID_CORPORATE=1 ) AS countattpr
	, (CASE WHEN g.ID is not null AND (uset.nodispitem LIKE '%Group%' OR uset.nodispitem LIKE '%assign%') is not true
	  THEN report.entryname || ' [' || g.Name || ']'
	  ELSE report.entryname END) as makename
from 
	TT_CRT report
	left outer join TTPR_CRT_DUST dust ON dust.SID_CORPORATE = report.SID_CORPORATE AND dust.id = report.id AND dust.sid_user = report.entry
	left outer join TM_USER u ON u.SID_CORPORATE = report.SID_CORPORATE AND u.ID = report.entry
	left outer join TM_GROUP g ON g.SID_CORPORATE = u.SID_CORPORATE AND g.ID = u.defgroup
	left outer join TM_USET_SETTING uset ON uset.SID_CORPORATE = report.SID_CORPORATE
where
	report.SID_CORPORATE=1
order by
	SID_CORPORATE, ID
