SELECT 
    a.SID_CORPORATE AS SID_CORPORATE
  , coalesce(b.unit, 10) as unit
  , (CASE
        WHEN CAST(b.save AS INTEGER) = 0 THEN 0
        WHEN CAST(c.save AS INTEGER) = 0 THEN 0
        WHEN CAST(coalesce(b.save, 24) AS INTEGER) >= CAST(coalesce(c.save, 24) AS INTEGER) THEN coalesce(b.save, 24)
        WHEN CAST(coalesce(b.save, 24) AS INTEGER) < CAST(coalesce(c.save, 24) AS INTEGER) THEN coalesce(c.save, 24)
        ELSE 24 END) AS save
  , coalesce(b.openperm, '1') as openperm
  , coalesce(b.nodispopen, '0') as nodispopen
  , coalesce(c.stime, 7) as stime
  , coalesce(c.rowcount, 100) as rowcount
  , coalesce(c.rowother, 100) as rowother
  , coalesce(c.Sunday, '0') as Sunday
  , coalesce(c.infomation, '1') as infomation
  , coalesce(c.holiday, '1') as holiday
  , coalesce(c.disptotime, '1') as disptotime
  , coalesce(c.defgroup, 0) as defgroup
  , coalesce(c.title, '0') as title
  , (CASE WHEN CAST(coalesce(c.reservlimit, 0) AS INTEGER)= 0 THEN -1 WHEN CAST(c.reservlimit AS INTEGER) > 0 THEN CAST(c.reservlimit AS INTEGER) * 30 ELSE NULL END) AS reservlimit
  , coalesce(c.datadel, '1') as datadel
  , a.attachsize
from
    (select SID_CORPORATE, case when attachsizeuse='1' then attachsize else 0 end as attachsize from TM_SETTING) a 
left join 
    TM_SCH_SETTING b 
on 
    a.SID_CORPORATE=b.SID_CORPORATE 
left join 
    TM_PLT_SETTING c 
on 
    a.SID_CORPORATE=c.SID_CORPORATE 
where 
    a.SID_CORPORATE=1;


