SELECT 
    a.SID_CORPORATE AS SID_CORPORATE
  , coalesce(b.unit, 10) as unit
  , (CASE
        WHEN CAST(b.save AS INTEGER) = 0 THEN 0
        WHEN CAST(c.save AS INTEGER) = 0 THEN 0
        WHEN CAST(coalesce(b.save, 24) AS INTEGER) >= CAST(coalesce(c.save, 24) AS INTEGER) THEN coalesce(b.save, 24)
        WHEN CAST(coalesce(b.save, 24) AS INTEGER) < CAST(coalesce(c.save, 24) AS INTEGER) THEN coalesce(c.save, 24)
        ELSE 24 END) AS save
  , coalesce(b.openperm, '1') as openperm
  , coalesce(b.nodispopen, '0') as nodispopen
  , coalesce(b.stime, 7) as stime
  , coalesce(b.rowcount, 100) as rowcount
  , coalesce(b.rowother, 100) as rowother
  , coalesce(b.Sunday, '0') as Sunday
  , coalesce(b.infomation, '1') as infomation
  , coalesce(b.holiday, '1') as holiday
  , coalesce(b.disptotime, '1') as disptotime
  , coalesce(b.dispgroup, '1') as dispgroup
  , coalesce(b.toppage, 'schweekgrp') as toppage
  , coalesce(b.dupperm, '1') as dupperm
  , (CASE b.othercolor
        WHEN '#800000' THEN 'dbrown'
        WHEN '#df0000' THEN 'dred'
        WHEN '#008040' THEN 'dgreen'
        WHEN '#0000FF' THEN 'dblue'
        WHEN '#c100c1' THEN 'dpurple'
        WHEN '#ff80c0' THEN 'dpink'
        WHEN '#ff8040' THEN 'dyellow'
        WHEN '#000080' THEN 'dnavy'
        ELSE NULL END) AS othercolor
  , coalesce(b.todo, '1') as todo
  , a.attachsize 
from
    (select SID_CORPORATE, case when attachsizeuse='1' then attachsize else 0 end as attachsize from TM_SETTING) a 
left join 
    TM_SCH_SETTING b 
on 
    a.SID_CORPORATE=b.SID_CORPORATE 
left join 
    TM_PLT_SETTING c 
on 
    a.SID_CORPORATE=c.SID_CORPORATE 
where 
    a.SID_CORPORATE=1;
